export function splitUserText(input: string) {
    // Регулярное выражение для поиска текста в обратных кавычках
    const regex = /`([^`]*)`/g; // Изменено на ([^]*) для захвата пустых строк
    let result = [];
    let match;

    // Найти все совпадения
    while ((match = regex.exec(input)) !== null) {
        // Добавляем найденный текст (включая пустые строки) в массив
        result.push(match[1]);
    }

    return result;
}

export function timewebContentFile(editQuizId: string, content: string, qid: string) {
    if (content.includes("<img")) {
        //Старая версия: контент лежит в теге
        //<img style="width:100%; max-width:250px; max-height:250px" src="https://s3.timeweb.cloud/3c580be9-30c7959dc17b/squizimages/03520c507b35e8/cq39gn7o73evdd30"/>
        return content.split("<")[1].split('src="')[1].split('"/>')[0]
    }
    //Новая версия: контент просто записан с указанием расширения файла
    return `https://s3.timeweb.cloud/3c580be9-cf31f296-d055-49cf-b39e-30c7959dc17b/squizanswer/${editQuizId}/${qid}/${content}`
}
export function timewebContent(editQuizId: string, content: string, qid: string) {
    if (content.includes("<img")) {
        //Старая версия: контент лежит в теге
        //<img style="width:100%; max-width:250px; max-height:250px" src="https://s3.timeweb.cloud/3c580be9-30c7959dc17b/squizimages/03520c507b35e8/cq39gn7o73evdd30"/>
        return content.split("<")[1].split('src="')[1].split('"/>')[0]
    } else if (content.includes(`"Image"`)) {
        const data = JSON.parse(content)
        return data.Image
    } else {
        return content
    }
    //Новая версия: контент просто записан с указанием расширения файла(устарело)
    return `https://s3.timeweb.cloud/3c580be9-cf31f296-d055-49cf-b39e-30c7959dc17b/squizimages/${editQuizId}/${content}`
}